Skip to main content
GET
/
virtual-account-numbers
/
{order_ref}
Fetch a Virtual Account Number
curl --request GET \
  --url https://api.flutterwave.com/v3/virtual-account-numbers/{order_ref} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Virtual nuban fetched",
  "data": {
    "response_code": "02",
    "response_message": "Transaction in progress",
    "flw_ref": "FLW-9b04c88aaf2244379f256691836fd9c9",
    "order_ref": "URF_1579513580629_5981535",
    "account_number": "7826463244",
    "frequency": "5",
    "bank_name": "WEMA BANK",
    "created_at": "2020-01-20 09:46:23",
    "expiry_date": "2020-01-25 23:59:59",
    "note": "Please make a bank transfer to Earth Gang",
    "amount": 50700
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

order_ref
string
required
Example:

"URF_1710840858834_6473835"

Response

OK

status
string
required
message
string
required
data
Data49 · object
required
Example:
{
"response_code": "02",
"response_message": "Transaction in progress",
"flw_ref": "FLW-9b04c88aaf2244379f256691836fd9c9",
"order_ref": "URF_1579513580629_5981535",
"account_number": "7826463244",
"frequency": "5",
"bank_name": "WEMA BANK",
"created_at": "2020-01-20 09:46:23",
"expiry_date": "2020-01-25 23:59:59",
"note": "Please make a bank transfer to Earth Gang",
"amount": 50700
}